- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP42StylesListener Class Reference

`#include <WP42StylesListener.h>`

Inheritance diagram for WP42StylesListener:

## Public Member Functions
| WP42StylesListener (std::list< WPXPageSpan > &pageList, std::vector< WP42SubDocument * > &subDocuments)
void | startDocument ()
void | startSubDocument ()
void | insertCharacter (unsigned)
void | insertTab (unsigned char, double)
void | insertEOL ()
void | insertBreak (unsigned char breakType)
void | attributeChange (bool, unsigned char)
void | marginReset (unsigned char, unsigned char)
void | headerFooterGroup (unsigned char headerFooterDefinition, WP42SubDocument *subDocument)
void | suppressPageCharacteristics (unsigned char suppressCode)
void | endDocument ()
void | endSubDocument ()
Public Member Functions inherited from WP42Listener
| WP42Listener ()
virtual | ~WP42Listener ()

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, int nextTableIndice=0)
Protected Member Functions inherited from WPXStylesListener
| WPXStylesListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXStylesListener ()
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Attributes
WPXPageSpan | m_currentPage
WPXPageSpan | m_nextPage
std::vector< WP42SubDocument * > & | m_subDocuments
double | m_tempMarginLeft
double | m_tempMarginRight
bool | m_currentPageHasContent
bool | m_isSubDocument
std::list< WPXPageSpan >::iterator | m_pageListHardPageMark

## Additional Inherited Members
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

WP42StylesListener::WP42StylesListener | ( | std::list< WPXPageSpan > & | pageList,
|  | std::vector< WP42SubDocument * > & | subDocuments
| ) |  |

## Member Function Documentation

void WP42StylesListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) |  |
| protected

Referenced by headerFooterGroup(), and insertBreak().

void WP42StylesListener::attributeChange | ( | bool | ,
|  | unsigned char |
| ) |  |
| inline virtual

Implements WP42Listener.

void WP42StylesListener::endDocument | ( |  | ) |
| virtual

Implements WP42Listener.

void WP42StylesListener::endSubDocument | ( |  | ) |
| virtual

Implements WP42Listener.

Referenced by WP42Parser::parseSubDocument().

void WP42StylesListener::headerFooterGroup | ( | unsigned char | headerFooterDefinition,
|  | WP42SubDocument * | subDocument
| ) |  |
| virtual

Implements WP42Listener.

void WP42StylesListener::insertBreak | ( | unsigned char | breakType | ) |
| virtual

Implements WP42Listener.

Referenced by endDocument(), and endSubDocument().

void WP42StylesListener::insertCharacter | ( | unsigned |  | ) |
| inline virtual

Implements WP42Listener.

void WP42StylesListener::insertEOL | ( |  | ) |
| inline virtual

Implements WP42Listener.

void WP42StylesListener::insertTab | ( | unsigned char | ,
|  | double |
| ) |  |
| inline virtual

Implements WP42Listener.

void WP42StylesListener::marginReset | ( | unsigned char | ,
|  | unsigned char |
| ) |  |
| inline virtual

Implements WP42Listener.

void WP42StylesListener::startDocument | ( |  | ) |
| inline virtual

Implements WP42Listener.

void WP42StylesListener::startSubDocument | ( |  | ) |
| inline virtual

Implements WP42Listener.

Referenced by WP42Parser::parseSubDocument().

void WP42StylesListener::suppressPageCharacteristics | ( | unsigned char | suppressCode | ) |
| virtual

Implements WP42Listener.

## Member Data Documentation

WPXPageSpan WP42StylesListener::m_currentPage
| private

Referenced by headerFooterGroup(), insertBreak(), and suppressPageCharacteristics().

bool WP42StylesListener::m_currentPageHasContent
| private

Referenced by _handleSubDocument(), headerFooterGroup(), insertBreak(), insertCharacter(), insertEOL(), and insertTab().

bool WP42StylesListener::m_isSubDocument
| private

Referenced by _handleSubDocument(), and insertBreak().

WPXPageSpan WP42StylesListener::m_nextPage
| private

Referenced by headerFooterGroup(), and insertBreak().

std::list<WPXPageSpan>::iterator WP42StylesListener::m_pageListHardPageMark
| private

Referenced by insertBreak().

std::vector<WP42SubDocument *>& WP42StylesListener::m_subDocuments
| private

Referenced by headerFooterGroup().

double WP42StylesListener::m_tempMarginLeft
| private

Referenced by insertBreak().

double WP42StylesListener::m_tempMarginRight
| private

Referenced by insertBreak().

The documentation for this class was generated from the following files:

- WP42StylesListener.h
- WP42StylesListener.cpp